@echo off

rem erase environment variables

set into=
set from=
set from2=

rem if there are too many arguments, complain

if not "%6"=="" echo Get what???
if not "%6"=="" goto end

rem Check for syntax and set "into" and "from" variables.

if not "%5"=="" if not "%4"=="into" if not "%4"=="from" goto complain
if "%5"=="" if not "%4"=="" goto complain
if not "%5"=="" if "%4"=="from" set from=%5.dr2\
if not "%5"=="" if "%4"=="from" set from2=%5
if not "%5"=="" if "%4"=="into" set into=%5.dr2\
if not "%3"=="" if not "%2"=="into" if not "%2"=="from" goto complain
if "%3"=="" if not "%2"=="" goto complain
if not "%3"=="" if "%2"=="into" set into=%3.dr2\
if not "%3"=="" if "%2"=="from" set from=%3.dr2\
if not "%3"=="" if "%2"=="from" set from2=%3
if "%1"=="" echo Get what???
if "%1"=="" goto end

rem if %1 isn't any declared object, complain.

if not exist %ddos%%1.obj if not exist %ddos%%1.con echo Get what???
if not exist %ddos%%1.obj if not exist %ddos%%1.con goto end

rem if you already have an object of the indicated kind, complain.

if exist %ddos%%into%%1.ob1 echo You can't have more than one %1!
if exist %ddos%%into%%1.ob1 goto end
if exist %ddos%%into%%1.co1 echo You can't have more than one %1!
if exist %ddos%%into%%1.co1 goto end

rem if the container from which you are taking the object is a monster,
rem it will object.

if not "%from%"=="" if exist %from%alive.$$$ if not exist %from%stunned.$$$ echo The %from2% objects!
if not "%from%"=="" if exist %from%alive.$$$ if not exist %from%stunned.$$$ goto end

rem carry out the movement of an object.

if exist %from%%1.ob1 copy %from%%1.ob1 %ddos%%into%%1.ob1 > nul
if exist %from%%1.ob1 goto end1

rem check that a container isn't being got into a container.

if exist %from%%1.co1 if not "%into%"=="" echo You can't put a container into a container.
if exist %from%%1.co1 if not "%into%"=="" goto end

rem check that you aren't getting a monster -- it will object!

if exist %from%%1.dr2\alive.$$$ if not exist %from%%1.dr2\stunned.$$$ echo The %1 objects!
if exist %from%%1.dr2\alive.$$$ if not exist %from%%1.dr2\stunned.$$$ goto end

rem carry out the movement of the container, and the movement
rem of all contents of its associated directory.

if exist %from%%1.co1 copy %from%%1.co1 %ddos%%into%%1.co1 > nul
if exist %from%%1.co1 md %ddos%%into%%1.dr2
if exist %from%%1.co1 if exist %from%%1.dr2\*.* copy %from%%1.dr2\*.* %ddos%%into%%1.dr2 > nul
echo y | erase %from%%1.dr2\*.* > nul
if exist %from%%1.co1 rd %from%%1.dr2
if exist %from%%1.co1 goto end1

rem You should only get here if there is no object of the
rem declared type you asked for available.

if exist %ddos%%1.obj echo There is no %1 to get!
if exist %ddos%%1.con echo There is no %1 to get!
:end1

rem eliminate the label of the object moved.

if exist %from%%1.ob1 erase %from%%1.ob1
if exist %from%%1.co1 erase %from%%1.co1
goto end
:complain

rem Complain about various syntax errors.

echo Get what???
:end

rem Erase environment variables.

set into=
set from=
set from2=
